質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

ただいまの
回答率

90.51%

  • Ruby on Rails

    8396questions

    Ruby on Railsは、オープンソースのWebアプリケーションフレームワークです。「同じことを繰り返さない」というRailsの基本理念のもと、他のフレームワークより少ないコードで簡単に開発できるよう設計されています。

  • Apache

    2032questions

    Apacheは、Apache HTTP Serverの略で、最も人気の高いWebサーバソフトウェアの一つです。安定性が高いオープンソースソフトウェアとして商用サイトから自宅サーバまで、多くのプラットフォーム向けに開発・配布されています。サーバーソフトウェアの不具合(NCSA httpd)を修正するパッチ(a patch)を集積、一つ独立したソフトウェアとして開発されました。

  • Vagrant

    1324questions

    Vagrantは、VirtualBox上の仮想マシンを コマンドラインから作成してくれるソフトウェアです。 ビルド環境など容易に構築が可能です。

  • SSH

    646questions

    SSH(Secure Shell)は、セキュアチャネルを通してデータを交換するためのネットワークプロトコルです。リモートサーバーへのコマンド実行やファイル転送を行う時に一般的に使用されます。

エラーの原因が分かりません。

受付中

回答 1

投稿

  • 評価
  • クリップ 0
  • VIEW 1,061

sein

score 2

前提・実現したいこと

ここに質問したいことを詳細に書いてください
ruby
sudo /apache/bin/apachectl start
vagrantに入ってapacheを起動して特定のページを表示する手順です。
vagrantに入ってapacheを起動した時にエラーメッセージが発生しました。

発生している問題・エラーメッセージ

Details:
It looks like Bundler could not find a gem. Maybe you didn't install all the gems that this application needs. To install your gems, please run:

bundle install
If that didn't work, then the problem is probably caused by your application being run under a different environment than it's supposed to. Please check the following:

Is this app supposed to be run as the koko user?
Is this app being run on the correct Ruby interpreter? Below you will see which Ruby interpreter Phusion Passenger attempted to use.
-------- The exception is as follows: -------

Could not find rake-12.0.0 in any of the sources (Bundler::GemNotFound)
/usr/local/rbenv/versions/2.3.3/lib/ruby/gems/2.3.0/gems/bundler-1.14.3/lib/bundler/spec_set.rb:87:in block in materialize'   /usr/local/rbenv/versions/2.3.3/lib/ruby/gems/2.3.0/gems/bundler-1.14.3/lib/bundler/spec_set.rb:80:in map!'
/usr/local/rbenv/versions/2.3.3/lib/ruby/gems/2.3.0/gems/bundler-1.14.3/lib/bundler/spec_set.rb:80:in materialize'   /usr/local/rbenv/versions/2.3.3/lib/ruby/gems/2.3.0/gems/bundler-1.14.3/lib/bundler/definition.rb:176:in specs'
/usr/local/rbenv/versions/2.3.3/lib/ruby/gems/2.3.0/gems/bundler-1.14.3/lib/bundler/definition.rb:235:in specs_for'   /usr/local/rbenv/versions/2.3.3/lib/ruby/gems/2.3.0/gems/bundler-1.14.3/lib/bundler/definition.rb:224:in requested_specs'
/usr/local/rbenv/versions/2.3.3/lib/ruby/gems/2.3.0/gems/bundler-1.14.3/lib/bundler/runtime.rb:118:in block in definition_method'   /usr/local/rbenv/versions/2.3.3/lib/ruby/gems/2.3.0/gems/bundler-1.14.3/lib/bundler/runtime.rb:19:in setup'
/usr/local/rbenv/versions/2.3.3/lib/ruby/gems/2.3.0/gems/bundler-1.14.3/lib/bundler.rb:100:in setup'   /usr/local/rbenv/versions/2.3.3/lib/ruby/gems/2.3.0/gems/bundler-1.14.3/lib/bundler/setup.rb:20:in <top (required)>'
/usr/local/rbenv/versions/2.3.3/lib/ruby/site_ruby/2.3.0/rubygems/core_ext/kernel_require.rb:55:in require'   /usr/local/rbenv/versions/2.3.3/lib/ruby/site_ruby/2.3.0/rubygems/core_ext/kernel_require.rb:55:in require'
/usr/local/rbenv/versions/2.3.3/lib/ruby/gems/2.3.0/gems/passenger-5.1.2/src/ruby_supportlib/phusion_passenger/loader_shared_helpers.rb:430:in activate_gem'   /usr/local/rbenv/versions/2.3.3/lib/ruby/gems/2.3.0/gems/passenger-5.1.2/src/ruby_supportlib/phusion_passenger/loader_shared_helpers.rb:297:in block in run_load_path_setup_code'
/usr/local/rbenv/versions/2.3.3/lib/ruby/gems/2.3.0/gems/passenger-5.1.2/src/ruby_supportlib/phusion_passenger/loader_shared_helpers.rb:435:in running_bundler'   /usr/local/rbenv/versions/2.3.3/lib/ruby/gems/2.3.0/gems/passenger-5.1.2/src/ruby_supportlib/phusion_passenger/loader_shared_helpers.rb:296:in run_load_path_setup_code'
/usr/local/rbenv/versions/2.3.3/lib/ruby/gems/2.3.0/gems/passenger-5.1.2/src/helper-scripts/rack-preloader.rb:100:in preload_app'   /usr/local/rbenv/versions/2.3.3/lib/ruby/gems/2.3.0/gems/passenger-5.1.2/src/helper-scripts/rack-preloader.rb:156:in <module:App>'
/usr/local/rbenv/versions/2.3.3/lib/ruby/gems/2.3.0/gems/passenger-5.1.2/src/helper-scripts/rack-preloader.rb:30:in <module:PhusionPassenger>'   /usr/local/rbenv/versions/2.3.3/lib/ruby/gems/2.3.0/gems/passenger-5.1.2/src/helper-scripts/rack-preloader.rb:29:in <main>'

該当のソースコード

ruby言語、rails
ロカール環境からvagrant(仮想)に入るコマンドを打ちました。
ssh 192.168.33.10。その後、表示したいページが入っているファイルを
github から仮想の中にダウンロードしました。" git clone........"。表示したいページが入ってるファイルの中に入ります。→ "cd ......"。それでapacheを立ち上げました。sudo /apache/bin/apachectl startコマンドを打ちました。ブラウザーで"http://192.168.33.10/"と表示しようとした時、上記のエラー出ていました。

試したこと

root権限で実行していないです。ユーザー(koko)権限で実行しています。bundle installも実行しました。

補足情報(言語/FW/ツール等のバージョンなど)

より詳細な情報

  • 気になる質問をクリップする

    クリップした質問は、後からいつでもマイページで確認できます。

    またクリップした質問に回答があった際、通知やメールを受け取ることができます。

    クリップを取り消します

  • 良い質問の評価を上げる

    以下のような質問は評価を上げましょう

    • 質問内容が明確
    • 自分も答えを知りたい
    • 質問者以外のユーザにも役立つ

    評価が高い質問は、TOPページの「注目」タブのフィードに表示されやすくなります。

    質問の評価を上げたことを取り消します

  • 評価を下げられる数の上限に達しました

    評価を下げることができません

    • 1日5回まで評価を下げられます
    • 1日に1ユーザに対して2回まで評価を下げられます

    質問の評価を下げる

    teratailでは下記のような質問を「具体的に困っていることがない質問」、「サイトポリシーに違反する質問」と定義し、推奨していません。

    • プログラミングに関係のない質問
    • やってほしいことだけを記載した丸投げの質問
    • 問題・課題が含まれていない質問
    • 意図的に内容が抹消された質問
    • 広告と受け取られるような投稿

    評価が下がると、TOPページの「アクティブ」「注目」タブのフィードに表示されにくくなります。

    質問の評価を下げたことを取り消します

    この機能は開放されていません

    評価を下げる条件を満たしてません

    評価を下げる理由を選択してください

    詳細な説明はこちら

    上記に当てはまらず、質問内容が明確になっていない質問には「情報の追加・修正依頼」機能からコメントをしてください。

    質問の評価を下げる機能の利用条件

    この機能を利用するためには、以下の事項を行う必要があります。

回答 1

0

gem install rails
もしくは
sudo gem install rails
とかでインストールしてみてください
バージョン指定したいなら
gem install rails -v 4.2.6
みたいな書き方でいいと思います。

それでだめなら
gem install bundlerからやり直してみてください

投稿

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

  • 2017/03/07 10:18

    drizzing20さん、ご回答ありがとうございます。
    railsは、以前からインストールされています。
    >rails -v
    >Rails 5.0.1

    sudo gem install bundelrを実行しました。
    が、上記のような同じエラーが出ています。

    ご回答をお待ちしております。

    キャンセル

同じタグがついた質問を見る

  • Ruby on Rails

    8396questions

    Ruby on Railsは、オープンソースのWebアプリケーションフレームワークです。「同じことを繰り返さない」というRailsの基本理念のもと、他のフレームワークより少ないコードで簡単に開発できるよう設計されています。

  • Apache

    2032questions

    Apacheは、Apache HTTP Serverの略で、最も人気の高いWebサーバソフトウェアの一つです。安定性が高いオープンソースソフトウェアとして商用サイトから自宅サーバまで、多くのプラットフォーム向けに開発・配布されています。サーバーソフトウェアの不具合(NCSA httpd)を修正するパッチ(a patch)を集積、一つ独立したソフトウェアとして開発されました。

  • Vagrant

    1324questions

    Vagrantは、VirtualBox上の仮想マシンを コマンドラインから作成してくれるソフトウェアです。 ビルド環境など容易に構築が可能です。

  • SSH

    646questions

    SSH(Secure Shell)は、セキュアチャネルを通してデータを交換するためのネットワークプロトコルです。リモートサーバーへのコマンド実行やファイル転送を行う時に一般的に使用されます。